/*************************************************************************
 * Copyright (C) 2001 Linus kerlund <puterman at fairlight dot st>
 *  
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software 
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 **************************************************************************/

#ifndef __CALLBACKS_H__
#define __CALLBACKS_H__

void delete_event (GtkWidget *widget, GdkEvent *event, gpointer data);
void print_hello (GtkWidget *widget, gpointer data);
void about (GtkWidget *widget, gpointer data);
void delete_dialog (GtkWidget *widget, gpointer data);
void destroy_widget (GtkWidget *widget, gpointer data);

void callback_next_pic(GtkWidget *widget, gpointer data);
void callback_prev_pic(GtkWidget *widget, gpointer data);
void callback_open_pic(GtkWidget *widget, gpointer data);
void callback_mixing(GtkWidget *widget, gpointer data);
void callback_save_screenshot(GtkWidget *widget, gpointer data);

void callback_error_dialog(gchar *msg);

#endif /* __CALLBACKS_H__ */
